[ Qmono ] [ 5.12.0.266 ] Mono Framework

BitTorrent Sync, KODI, IPKG, NZBGet, pyLoad...
Répondre
Avatar du membre
QoolBox
Représentant de QNAP
Messages : 6007
Enregistré le : 02 janvier 2014
Professionnel : Oui
Localisation : France
Contact :

Re: [ Qmono ] [ 4.8.1.0] Mono Framework

Message par QoolBox » 13 nov. 2017 17:25

je n'ai pas encore fait l'update

Emby me confirme des plantage avec la dernière version du Mono..

le autres conseille également de rester en 4.8.1...

donc pas mal d'hésitation avant de faire une mise à jour, qui peut faire crasher les configs users

kaso17
Messages : 5
Enregistré le : 14 novembre 2017

Re: [ Qmono ] [ 4.8.1.0] Mono Framework

Message par kaso17 » 14 nov. 2017 11:59

@QoolBox This is kaso17 from the jacket developer team. We've plenty of people who have TLS related problems on their QNAP device because their mono certificate-store is empty causing HTTPS connections to fail.

See e.g. this forum thread:
https://forum.qnap.com/viewtopic.php?f= ... 75#p611617
That post includes the steps to fix the problem (manual import the certificates via the mono cert-sync tool) but apparently it doesn't survive reboots (mono certificate store is not stored on persistent memory?).
It would be great if you could have a look at this.

Avatar du membre
QoolBox
Représentant de QNAP
Messages : 6007
Enregistré le : 02 janvier 2014
Professionnel : Oui
Localisation : France
Contact :

Re: [ Qmono ] [ 4.8.1.0] Mono Framework

Message par QoolBox » 14 nov. 2017 13:01

kaso17 a écrit :
14 nov. 2017 11:59
@QoolBox This is kaso17 from the jacket developer team. We've plenty of people who have TLS related problems on their QNAP device because their mono certificate-store is empty causing HTTPS connections to fail.

See e.g. this forum thread:
https://forum.qnap.com/viewtopic.php?f= ... 75#p611617
That post includes the steps to fix the problem (manual import the certificates via the mono cert-sync tool) but apparently it doesn't survive reboots (mono certificate store is not stored on persistent memory?).
It would be great if you could have a look at this.
Hi kaso17.. thanks for the ping.. i built the update with the workaround

kaso17
Messages : 5
Enregistré le : 14 novembre 2017

Re: [ Qmono ] [ 4.8.1.0] Mono Framework

Message par kaso17 » 22 nov. 2017 11:27

Thank you,

where can we find the new build?
On https://qnapclub.eu/index.php?act=detail&qpkg_id=193 I noticed a new 5.4.1.6.0 version but only for one platform.
Where can we find qmono packages for platforms with atom, etc. CPU?

Avatar du membre
QoolBox
Représentant de QNAP
Messages : 6007
Enregistré le : 02 janvier 2014
Professionnel : Oui
Localisation : France
Contact :

Re: [ Qmono ] [ 4.8.1.0] Mono Framework

Message par QoolBox » 22 nov. 2017 16:50

just built a release for ARMv5 at this time i am working on others..

I dont think build x86 (32bit) 4.2.x version... because i dont have test machine here

Avatar du membre
QoolBox
Représentant de QNAP
Messages : 6007
Enregistré le : 02 janvier 2014
Professionnel : Oui
Localisation : France
Contact :

Re: [ Qmono ] [ 5.4.1.6] Mono Framework

Message par QoolBox » 25 nov. 2017 14:44

updated

aureladmin
Messages : 8
Enregistré le : 11 novembre 2017

Re: [ Qmono ] [ 5.4.1.6] Mono Framework

Message par aureladmin » 27 nov. 2017 00:03

QoolBox a écrit :
25 nov. 2017 14:44
updated
Merci beaucoup, je test cela demain. :mrgreen:

kaso17
Messages : 5
Enregistré le : 14 novembre 2017

Re: [ Qmono ] [ 5.4.1.6] Mono Framework

Message par kaso17 » 30 nov. 2017 16:54

@QoolBox could you build the x86 32 bit version too and provide an inofficial download link so some users can test it before it's published?

Avatar du membre
QoolBox
Représentant de QNAP
Messages : 6007
Enregistré le : 02 janvier 2014
Professionnel : Oui
Localisation : France
Contact :

Re: [ Qmono ] [ 5.4.1.6] Mono Framework

Message par QoolBox » 05 déc. 2017 14:56

x86 (32bit) built for old firware 4.2.x

this version is running under another ELF due glibc on Qnap too old to be cross compiled

kaso17
Messages : 5
Enregistré le : 14 novembre 2017

Re: [ Qmono ] [ 5.4.1.6] Mono Framework

Message par kaso17 » 16 janv. 2018 10:41

Hi, in general the mono packages seem to work fine but it looks like some really ancient tool chains are used.
With gcc versions below 4.8 (which seems to be the case at least for the ARM platform) mono doesn't include BTLS due to lack of C11 compile support (one of the major new features).
I've written this small patch which adds support for BTLS with gcc < 4.8:
https://github.com/SynoCommunity/spksrc ... port.patch
Could you please apply it and rebuild the packages?
You've to explicitly enable BTLS during configuration via the --enable-btls switch.

Répondre

Retourner vers « Applications tierces »

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 4 invités